It's working great here - but, having spent yesterday (Sunday) morning installing it, and updating all my other mods, does anyone know if this works with the 1.3.5d release announced this morning?